## tcs 1

=== Makefile ===
SHELL=/bin/sh
O=o
.SUFFIXES:	.c .$O
TARG=tcs
# you may need to add strerror if you don't have one
OFILES=tcs.$O conv_jis.$O conv_big5.$O conv_gb.$O utf.$O kuten208.$O \
	gb.$O big5.$O version.$O conv_ksc.$O ksc.$O
#SGIFLAGS= -ansiposix -woff 100			# SGI flags
CFLAGS= -D_POSIX_SOURCE $(SGIFLAGS)

$(TARG):	$(OFILES)
	$(CC) $(CFLAGS) -o $@ $(OFILES)
.c.$O:
	$(CC) $(CFLAGS) -c $*.c

tcs.$O utf.$O:		hdr.h plan9.h
tcs.$O:			jis.h
tcs.$O kuten208.$O:	kuten208.h
tcs.$O big5.$O:		big5.h
tcs.$O:			cyrillic.h
tcs.$O:			conv.h
conv_jis.$O:		conv.h plan9.h
conv_big5.$O:		conv.h plan9.h
conv_gb.$O:		conv.h plan9.h

clean:
	rm -f $(TARG) *.$O *.utf


#example tcs output files

ex01.utf:	tcs ex01.src
	./tcs -sf jis ex01.src > $@
ex02.utf:	tcs ex02.src
	./tcs -sf jis ex02.src > $@
ex03.utf:	tcs ex03.src
	./tcs -sf koi8 < ex03.src > $@
ex04.utf:	tcs ex04.src
	./tcs -sf ucode < ex04.src > $@
ex05.utf:	ex05.src
	./tcs < ex05.src > $@
ex06.utf:	tcs ex06.src
	./tcs -sf big5 < ex06.src > $@
ex07.utf:	tcs ex07.src
	./tcs -sf sf2 < ex07.src > $@
ex08.utf:	tcs ex08.src
	./tcs -sf euc-k < ex08.src > $@
ex09.utf:	tcs ex09.src
	./tcs -sf viet1 < ex09.src > $@
ex10.utf:	tcs ex10.src
	./tcs -sf viet2 < ex10.src > $@
ex11.utf:	tcs ex11.src
	./tcs -sf viscii < ex11.src > $@
ex12.utf:	tcs ex12.src
	./tcs -sf 8859-10 < ex12.src > $@

export:
	echo "char version[] = \"`date`\";" > version.c
	bundle Makefile README *.[ch] regress bundle bbundle tcs.1 tcs.ps > export
	echo "chmod +x regress bundle bbundle" >> export
	bbundle ex*.src ex*.ok >> export

=== debian/changelog ===
tcs (1-11.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rebuild for Debian Buster.
    + Fix lintian error no-strong-digests-in-dsc.
  * debian/control:
    + Bump debhelper compat to v12.
    + Bump Standards-Version to 4.3.0.
    + Add Vcs-* fields to use git packaging repo in Debian Salsa
      Group.
  * debian/rules:
    + Use dh syntax.
    + Use "dh_missing --fail-missing".
    + Export buildflags for hardening and debug symbols.
  * debian/source/compat: Convert to "3.0 (quilt)" format.

 -- Boyuan Yang <byang@debian.org>  Wed, 06 Feb 2019 10:02:21 -0500

tcs (1-11) unstable; urgency=low

  * debian/rules: don't strip tcs forcefully (closes: #438108)
  * debian/compat: set to 5.
  * debian/rules: updated to current policy, nothing to do.

 -- Frederic Peters <fpeters@debian.org>  Wed, 15 Aug 2007 15:39:21 +0200

tcs (1-10) unstable; urgency=low

  * debian/control: updated to policy 3.6.1
  * debian/control: removed dot at end of synopsis, and lowercased the first
    letter.
  * debian/rules: moved to dh_installman (from dh_installmanpages)
  * new debhelper won't set /usr/doc/ symlink, that will be nicer for sarge.

 -- Frederic Peters <fpeters@debian.org>  Wed, 23 Mar 2005 23:50:34 +0100

tcs (1-9) unstable; urgency=low

  * Added two missing characters for koi8-r. (closes: #129359)

 -- Frederic Peters <fpeters@debian.org>  Tue, 15 Jan 2002 16:14:42 +0100

tcs (1-8) unstable; urgency=low

  * Applied patch to do 8859-14 (Celtic) (patch by David Chan
    <dpc29@hermes.cam.ac.uk>)

 -- Frederic Peters <fpeters@debian.org>  Mon, 30 Oct 2000 00:03:55 +0100

tcs (1-7) unstable; urgency=low

  * Fixed ms-kanji handling (patch by SONE Takeshi <ts1@cma.co.jp>)
    (closes: #58972)

 -- Frederic Peters <fpeters@debian.org>  Wed,  1 Mar 2000 14:56:05 +0100

tcs (1-6) unstable; urgency=low

  * Moved to FHS

 -- Frederic Peters <fpeters@debian.org>  Thu,  9 Sep 1999 19:50:00 +0200

tcs (1-5) unstable; urgency=low

  * I forgot to change the maintainer field ...

 -- Frederic Peters <fpeters@debian.org>  Mon,  9 Aug 1999 19:30:20 +0200

tcs (1-4.2) unstable; urgency=low

  * New maintainer
  * Fixed bug #28602

 -- Frederic Peters <fpeters@debian.org>  Fri,  6 Aug 1999 11:56:02 +0200

tcs (1-4.1) unstable; urgency=low

  * Non maintainer upload.
  * Converted debian/rules to debhelper; changed debian/control a bit.

 -- Josip Rodin <jrodin@jagor.srce.hr>  Tue, 15 Jun 1999 23:04:25 +0200

tcs (1-4) unstable; urgency=low

  * Interim maintainer release
  * Set maintainer field to debian-qa, i.e. orphaning it.
  * Updated Standards-Version

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Sat, 24 Oct 1998 15:19:23 +0200

tcs (1-3) unstable; urgency=low

  * Recompiled with libc6.

 -- Karl Sackett <krs@debian.org>  Wed, 25 Jun 1997 10:14:09 -0500

tcs (1-2) unstable; urgency=low

  * Converted to new package standards.
  * Maintainer address changed.

 -- Karl Sackett <krs@debian.org>  Wed, 23 Oct 1996 16:16:22 -0500

1-1
        * Added Debian support files.

=== debian/control ===
Source: tcs
Section: text
Priority: optional
Maintainer: Frederic Peters <fpeters@debian.org>
Standards-Version: 4.3.0
Build-Depends:
 debhelper-compat (= 12),
Vcs-Git: https://salsa.debian.org/debian/tcs.git
Vcs-Browser: https://salsa.debian.org/debian/tcs

Package: tcs
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: character set translator
 tcs translates character sets from one encoding to another.
 .
 Supported encodings include utf (ISO utf-8), ascii, ISO 8859-[123456789],
 koi8, jis-kanji, ujis, ms-kanji, jis, gb, big5, unicode, tis, msdos, and
 atari.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

%:
	dh $@

override_dh_missing:
	dh_missing --fail-missing

## tcs client-0.0.0

=== requirements.txt ===
setuptools~=61.2.0
setuptools_scm
-i https://pip-token:glpat-BF8yXW6LGR3W5eoY6JBK@gitlab.com/api/v4/projects/36629581/packages/pypi/simple
scln-client

## tcs client-1.0.1

=== requirements.txt ===
setuptools~=61.2.0
setuptools_scm
scln-client

## tcs protowhat-2.1.0

=== requirements.txt ===
# protowhat deps
markdown2~=2.3.10
jinja2~=2.11.3

# test deps
pytest~=6.2.5
codecov~=2.1.12
pytest-cov~=2.12.1
bashlex~=0.15

# building documentation
sphinx~=4.1.2
sphinx_rtd_theme~=0.5.2

## tcs pythonwhat-2.24.9

=== requirements.txt ===
# pythonwhat deps
protowhat~=2.1.0
asttokens~=2.0.5
dill~=0.3.4
markdown2~=2.3.10
jinja2~=2.11.3

numpy~=1.19.5
pandas~=1.3.2

# test deps
scipy~=1.7.1
bs4~=0.0.1
html5lib~=1.1
h5py~=3.1.0
requests~=2.26.0
seaborn~=0.11.2
sqlalchemy~=1.4.23
xlrd~=2.0.1
openpyxl~=3.0.7

# test-utils deps
pytest~=6.2.5
pytest-cov~=2.12.1

# building documentation
sphinx~=4.1.2
sphinx_rtd_theme~=0.5.2
sphinx-jinja~=1.1.1
sphinxprettysearchresults~=0.3.5

## tcs pythonwhat-2.24.13

=== requirements.txt ===
tcs_protowhat~=2.1.0
asttokens~=2.0.5
dill~=0.3.4
markdown2~=2.3.10
jinja2~=2.11.3
numpy~=1.19.5
pandas~=1.3.2
scipy~=1.7.1
bs4~=0.0.1
html5lib~=1.1
h5py~=3.1.0
requests~=2.26.0
seaborn~=0.11.2
sqlalchemy~=1.4.23
xlrd~=2.0.1
openpyxl~=3.0.7
pytest~=6.2.5
pytest-cov~=2.12.1
sphinx~=4.1.2
sphinx_rtd_theme~=0.5.2
sphinx-jinja~=1.1.1
sphinxprettysearchresults~=0.3.5

## tcs pythonwhat-2.24.16

=== requirements.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-tcs_protowhat~=2.1.0
+tcs_protowhat~=2.1.1
 asttokens~=2.0.5
 dill~=0.3.4
 markdown2~=2.3.10

## tcs pythonwhat-2.24.18

=== requirements.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-tcs_protowhat~=2.1.1
+tcs_protowhat~=2.1.3
 asttokens~=2.0.5
 dill~=0.3.4
 markdown2~=2.3.10

## tcs sqlwhat2-3.8.1

=== requirements.txt ===
# pkg deps
protowhat~=1.13.0
antlr-plsql~=0.9.1
antlr-tsql~=0.12.6

# test deps
pytest~=3.5.0
codecov~=2.0.15
pytest-cov~=2.5.1

# building documentation
sphinx~=1.7.4
sphinx_rtd_theme~=0.3.1
